%define pgpver		0.18.0
%define with_gpgpine	1

Summary: A commonly used, MIME compliant mail and news reader.
Name: pine
Version: 4.61
Release: 1.norlug

License: Freely Distributable
Url: http://www.washington.edu/pine/
Group: Applications/Internet
Source0: pine%{version}.tar.bz2
Source1: http://www.megaloman.com/~hany/_data/pinepgp/pinepgp-%{pgpver}.tar.gz
Source2: pine.conf
Source3: pine-spellcheck
Source5: flock.c
Source6: pine.conf.fixed

# FIXME: Make sure pine-4.41-redhat.patch is up to date
Patch0: pine-4.56-redhat.patch

Patch2: pine-4.04-noflock.patch
Patch3: pine-4.56-passwd.patch
Patch4: pine-4.21-fixhome.patch
Patch6: pine-4.56-krb5.patch
Patch8: imap-4.7c2-flock.patch 
Patch9: pine-4.30-ldap.patch

Patch21: pine-4.31-segfix.patch
Patch22: pine-4.40-lockfile-perm.patch

Patch30: pine-4.33-keymenu.patch
Patch31: pinepgp-0.15.3-pineconf-parse-cleanup.patch
Patch32: imap-2000-time.patch
# Do not remove this patch without checking that bugs 23679 and 38399
# _remain_ fixed.  [sic: or face the wrath of angry kernel hackers  ;o) ]
Patch33: pine-4.33-whitespace.patch

# Change PINE sendmail options to attempt to stop sendmail from logging -bs
# errors
Patch34: pine-4.33-sendmail-options.patch
Patch35: pine-4.44-multibyte.patch

# Fix bug #60818
Patch36: pine-4.44-overflow.patch
Patch37: pine-4.56-openldap.patch
Patch39: pine-4.44-multilib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl, ncurses-devel

# This dep is here so pine can be built on all RHL releases without mucking
# around with the specfile.  Do NOT change this without talking to the
# package maintainer.
BuildPrereq: /usr/include/security/pam_modules.h

%{!?nossl:BuildPrereq: openssl-devel}
%{!?noldap:BuildPrereq: openldap-devel}

BuildPrereq: krb5-devel
Requires: krb5-libs

%description
Pine is a very popular, easy to use, full-featured email user agent
that includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news. Pine also supports IMAP,
mail, and MH style folders.

%prep

%setup -q -n pine%{version} -a 1

# MAKE SURE THIS PATCH DOES NOT LEAVE JUNK FILES IN THE doc dirs
#%patch0 -p1 -b .redhat-patch

# FIXME: not needed anymore?
##%patch2 -p1 -b .noflock
%{!?nokerberos:%patch6 -p1 -b .krb5-patch}
%patch4 -p1 -b .fixhome

# imap flock patch
#%patch8 -p0 -b .flock-patch
cp %{SOURCE5} imap/src/osdep/unix

%patch3  -p1 -b .passwd-patch
%{?!noldap:%patch9 -p1 -b .ldap-patch }

%patch21 -p1 -b .segfix
%patch22 -p0 -b .lockfile-perm

# FIXME: Appears this patch is no longer needed in 4.40
##%patch30 -p1 -b .keymenu

%if %{with_gpgpine}
#%patch31 -p1 -b .pineconf-parsecleanup
%endif

%patch32 -p1 -b .time-h
#%patch33 -p1 -b .whitespace-fix
# This patch does evil things
#%patch34 -p0 -b .sendmail-options

# Disabled multibyte patch after numerous problem reports from other users that
# it breaks normal pine/pico usage.  Will not re-enable.  Please submit
# any enhancements to PINE team for approval instead. (#58971)
#%patch35 -p1 -b .multibyte

%patch36 -p1 -b .overflow
%patch37 -p1 -b .openldap

# this wants /usr/local/bin/perl
chmod 644 contrib/utils/pwd2pine
perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|" contrib/utils/pwd2pine

%{?!nokerberos: rm -f krb5 && mkdir krb5 && ln -s /usr/kerberos/include krb5/include && ln -s /usr/kerberos/%{_lib} krb5/lib}
%{?!nokerberos: ./contrib/krb5-setup lnp lnp}

%{?!noldap:rm -fr ldap && mkdir ldap && ln -s %{_libdir} ldap/libraries && ln -s /usr/include ldap/include}
%{?!noldap:./contrib/ldap-setup lnp lnp || true}

find -name "*.orig" -or -name "*~" | xargs rm core || :


%build
# Patch Makefile compiler optimization flags
#perl -pi -e "s/BASECFLAGS=.*$/BASECFLAGS=\"$RPM_OPT_FLAGS\"/" \
#	imap/src/osdep/unix/Makefile

# Main build script
#### Moved out of build commandline below for 4.41-1	DEBUG="" \
./build \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" \
%{!?nokerberos:EXTRAAUTHENTICATORS=gss} \
%{!?nossl:SPECIALAUTHENTICATORS=ssl} \
%{!?nossl:SSLTYPE=unix} \
%{!?nossl:SSLDIR=/usr} \
%{!?nossl:SSLCERTS=/usr/share/ssl} \
%{!?nossl:SSLINCLUDE=/usr/include/openssl} \
%{!?nossl:SSLLIB="-lssl -lcrypto"} \
    DEBUG="$RPM_OPT_FLAGS" \
	lrh
#            --exec_prefix=/usr \

%if %{with_gpgpine}
cd pinepgp-%{pgpver}
%configure --with-gpg=/usr/bin/gpg
make %{?_smp_mflags}
%endif

%install
# Don't remove this, problems shall arise otherwise
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT%{_libdir}
install -m 755 bin/{pine,pico,pilot,rpdump,rpload} $RPM_BUILD_ROOT/usr/bin/

### PINEPGP DROPIN ###
%if %{with_gpgpine}
cd pinepgp-%{pgpver}
make install-pinegpg DESTDIR=$RPM_BUILD_ROOT
cd ..
%endif
######################

pushd doc
for n in pine.1 pico.1 pilot.1 rpdump.1 rpload.1 ; do
    install -m 644 $n $RPM_BUILD_ROOT/%{_mandir}/man1/
done
popd

mkdir -p $RPM_BUILD_ROOT/etc
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pine.conf
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/pine.conf.fixed
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/usr/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes/*.html
%doc doc/mailcap.unx imap/docs/bugs.txt
%{_bindir}/pine
%{_bindir}/pine-spellcheck
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpdump
%{_bindir}/rpload
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pine.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpdump.1*
%{_mandir}/man1/rpload.1*
%attr(0644,root,root)	%config /etc/pine.conf
%attr(0644,root,root)	%config /etc/pine.conf.fixed

%if %{with_gpgpine}
%attr(0755, root, root) %{_bindir}/pinepgpgpg-install
%attr(0755, root, root) %{_bindir}/pinegpg-install
%attr(0755, root, root) %{_bindir}/pinegpg
%attr(0755, root, root) %{_bindir}/gpg-sign
%attr(0755, root, root) %{_bindir}/gpg-sign+encrypt
%attr(0755, root, root) %{_bindir}/gpg-encrypt
%attr(0755, root, root) %{_bindir}/gpg-check
%endif


%changelog
* Fri Sep 24 2004 Chip Cuccio <chipster@norlug.org> 4.61-1
- updated

* Thu May 13 2004 Chip Cuccio <chipster@norlug.org> 4.60-1
- update to 4.60

* Thu Sep 11 2003 Chip Cuccio <chipster@norlug.org> 4.58-1
- update to 4.58

* Mon Sep 8 2003 Chip Cuccio <chipster@norlug.org> - 4.56-2
- spec cleanups
- default to glibc-2.2

* Wed Aug 27 2003 Chip Cuccio <chipster@norlug.org> - 4.56-1
- initial rh-7.3 build
